Name:          protobuf-maven-plugin
Version:       0.5.0
Release:       1%{?dist}
Summary:       Maven Protocol Buffers (protoc) Plugin
License:       ASL 2.0
URL:           https://github.com/xolstice/protobuf-maven-plugin
Source0:       https://github.com/xolstice/protobuf-maven-plugin/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.maven:maven-artifact)
BuildRequires: mvn(org.apache.maven:maven-compat)
BuildRequires: mvn(org.apache.maven:maven-core)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness)
BuildRequires: mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires: mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-site-plugin)
BuildRequires: mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires: mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires: mvn(org.codehaus.plexus:plexus-utils)
BuildRequires: mvn(org.sonatype.plexus:plexus-build-api)

Requires:      protobuf-compiler

BuildArch:     noarch

%description
A plugin that integrates protocol buffers compiler (protoc) into Maven lifecycle.
This is a continuation of maven-protoc-plugin that was started at Google and
later developed by GitHub community.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

# Cleanup
find . -name "*.exe" -print -delete
# ./src/main/resources/winrun4j/WinRun4J32.exe
# ./src/main/resources/winrun4j/WinRun4J64.exe
rm -rf src/main/resources/winrun4j

# Not available plugins
%pom_remove_plugin org.codehaus.mojo:versions-maven-plugin
%pom_remove_plugin com.github.github:site-maven-plugin

# Unwanted task
%pom_remove_plugin org.apache.maven.plugins:maven-toolchains-plugin

%mvn_file :%{name} %{name}

%build

# IT use com.google.protobuf:protobuf-java:3.0.0-beta-2 and other unavailable deps
%mvn_build -- -Djava.sdk.version=1.8

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Thu Oct 06 2016 gil cattaneo <puntogil@libero.it> 0.5.0-1
- initial rpm

